function HttpGetter(): void {}

HttpGetter.prototype.get = filename => new Promise((resolve, reject) => {
  fetch(filename).then(response => {
    if (response.ok) {
      resolve(response.json());
    } else {
      reject(`failed with status ${response.status} : ${response.statusText}`);
    }
    return;
  });
});

export {
  HttpGetter
};
